searchData={"items":[{"type":"module","title":"AbsintheQueryAll","doc":"Documentation for `AbsintheQueryAll`.","ref":"AbsintheQueryAll.html"},{"type":"function","title":"AbsintheQueryAll.get_all_operations/2","doc":"Gets a complete list of all possible operations for the specified operation type (i.e. query, mutation, or subscription).","ref":"AbsintheQueryAll.html#get_all_operations/2"},{"type":"function","title":"Examples - AbsintheQueryAll.get_all_operations/2","doc":"iex> AbsintheQueryAll.get_all_operations(TestAbsintheSchema, :query)\n    [\n      :badTestQuery, :testQuery, :theNumberOneQuery\n    ]","ref":"AbsintheQueryAll.html#get_all_operations/2-examples"},{"type":"function","title":"AbsintheQueryAll.get_comprehensive_response/1","doc":"Runs a query for the specified operation, requesting every possible field in the response.","ref":"AbsintheQueryAll.html#get_comprehensive_response/1"},{"type":"function","title":"Examples - AbsintheQueryAll.get_comprehensive_response/1","doc":"iex> AbsintheQueryAll.get_comprehensive_response(%{\n    ...>   schema: TestAbsintheSchema,\n    ...>   operation_type: :query,\n    ...>   operation_name: :theNumberOneQuery,\n    ...> })\n    {:ok, %{data: %{\"theNumberOneQuery\" => 1}}}","ref":"AbsintheQueryAll.html#get_comprehensive_response/1-examples"},{"type":"module","title":"AbsintheQueryAll.Introspect","doc":"","ref":"AbsintheQueryAll.Introspect.html"},{"type":"function","title":"AbsintheQueryAll.Introspect.get_all_types/2","doc":"Queries the provided GraphQL schema for every possible data type.","ref":"AbsintheQueryAll.Introspect.html#get_all_types/2"},{"type":"function","title":"Examples - AbsintheQueryAll.Introspect.get_all_types/2","doc":"iex> get_all_types(SomeGraphqlSchema)\n    [\n      %{name: :SomeGraphqlType, description: nil, fields: [...], ...},\n      %{name: :SomeOtherGraphqlType, description: nil, fields: [...], ...},\n      %{name: :SomeThirdGraphqlType, description: nil, fields: [...], ...}\n    ]","ref":"AbsintheQueryAll.Introspect.html#get_all_types/2-examples"},{"type":"module","title":"AbsintheQueryAll.Query","doc":"","ref":"AbsintheQueryAll.Query.html"},{"type":"function","title":"AbsintheQueryAll.Query.comprehensive/2","doc":"Generates a query string that requests every possible field and subfield.","ref":"AbsintheQueryAll.Query.html#comprehensive/2"},{"type":"function","title":"Examples - AbsintheQueryAll.Query.comprehensive/2","doc":"iex> comprehensive(%{\n    ...>   operation_type: :query,\n    ...>   operation_name: :someQuery,\n    ...>   schema: SomeAbsintheSchema\n    ...> })\n    \"query someQuery {\n  someQuery { someField: someField someOtherField: someOtherField }\n}\n\"","ref":"AbsintheQueryAll.Query.html#comprehensive/2-examples"},{"type":"module","title":"AbsintheQueryAll.Query.Argument","doc":"","ref":"AbsintheQueryAll.Query.Argument.html"},{"type":"function","title":"AbsintheQueryAll.Query.Argument.build_strings/3","doc":"","ref":"AbsintheQueryAll.Query.Argument.html#build_strings/3"},{"type":"function","title":"AbsintheQueryAll.Query.Argument.list_for_operation_field/3","doc":"","ref":"AbsintheQueryAll.Query.Argument.html#list_for_operation_field/3"},{"type":"type","title":"AbsintheQueryAll.Query.Argument.arg_data/0","doc":"","ref":"AbsintheQueryAll.Query.Argument.html#t:arg_data/0"},{"type":"module","title":"AbsintheQueryAll.Query.Field","doc":"","ref":"AbsintheQueryAll.Query.Field.html"},{"type":"function","title":"AbsintheQueryAll.Query.Field.query_string/3","doc":"","ref":"AbsintheQueryAll.Query.Field.html#query_string/3"},{"type":"type","title":"AbsintheQueryAll.Query.Field.t/0","doc":"","ref":"AbsintheQueryAll.Query.Field.html#t:t/0"},{"type":"module","title":"AbsintheQueryAll.Query.Leaf","doc":"","ref":"AbsintheQueryAll.Query.Leaf.html"},{"type":"function","title":"AbsintheQueryAll.Query.Leaf.query_string/1","doc":"","ref":"AbsintheQueryAll.Query.Leaf.html#query_string/1"},{"type":"module","title":"AbsintheQueryAll.Query.Operation","doc":"","ref":"AbsintheQueryAll.Query.Operation.html"},{"type":"function","title":"AbsintheQueryAll.Query.Operation.fields/2","doc":"","ref":"AbsintheQueryAll.Query.Operation.html#fields/2"},{"type":"function","title":"AbsintheQueryAll.Query.Operation.operation_field_type_name/3","doc":"","ref":"AbsintheQueryAll.Query.Operation.html#operation_field_type_name/3"},{"type":"type","title":"AbsintheQueryAll.Query.Operation.t/0","doc":"","ref":"AbsintheQueryAll.Query.Operation.html#t:t/0"},{"type":"module","title":"AbsintheQueryAll.Query.Type","doc":"","ref":"AbsintheQueryAll.Query.Type.html"},{"type":"function","title":"AbsintheQueryAll.Query.Type.details/2","doc":"","ref":"AbsintheQueryAll.Query.Type.html#details/2"},{"type":"function","title":"AbsintheQueryAll.Query.Type.fields_for/2","doc":"","ref":"AbsintheQueryAll.Query.Type.html#fields_for/2"},{"type":"function","title":"AbsintheQueryAll.Query.Type.for_operation/1","doc":"","ref":"AbsintheQueryAll.Query.Type.html#for_operation/1"},{"type":"function","title":"AbsintheQueryAll.Query.Type.get_by_name/2","doc":"","ref":"AbsintheQueryAll.Query.Type.html#get_by_name/2"},{"type":"type","title":"AbsintheQueryAll.Query.Type.data_structure/0","doc":"","ref":"AbsintheQueryAll.Query.Type.html#t:data_structure/0"},{"type":"type","title":"AbsintheQueryAll.Query.Type.details/0","doc":"","ref":"AbsintheQueryAll.Query.Type.html#t:details/0"},{"type":"type","title":"AbsintheQueryAll.Query.Type.enum_value/0","doc":"","ref":"AbsintheQueryAll.Query.Type.html#t:enum_value/0"},{"type":"type","title":"AbsintheQueryAll.Query.Type.list_type/0","doc":"","ref":"AbsintheQueryAll.Query.Type.html#t:list_type/0"},{"type":"type","title":"AbsintheQueryAll.Query.Type.t/0","doc":"","ref":"AbsintheQueryAll.Query.Type.html#t:t/0"},{"type":"module","title":"AbsintheQueryAll.Query.TypeLayer","doc":"","ref":"AbsintheQueryAll.Query.TypeLayer.html"},{"type":"type","title":"AbsintheQueryAll.Query.TypeLayer.t/0","doc":"","ref":"AbsintheQueryAll.Query.TypeLayer.html#t:t/0"},{"type":"module","title":"AbsintheQueryAll.Utils","doc":"","ref":"AbsintheQueryAll.Utils.html"},{"type":"function","title":"AbsintheQueryAll.Utils.get_by_name/2","doc":"","ref":"AbsintheQueryAll.Utils.html#get_by_name/2"},{"type":"module","title":"AbsintheQueryAll.Utils.Atom","doc":"","ref":"AbsintheQueryAll.Utils.Atom.html"},{"type":"function","title":"AbsintheQueryAll.Utils.Atom.camelize/1","doc":"","ref":"AbsintheQueryAll.Utils.Atom.html#camelize/1"},{"type":"function","title":"AbsintheQueryAll.Utils.Atom.decapitalize/1","doc":"","ref":"AbsintheQueryAll.Utils.Atom.html#decapitalize/1"},{"type":"function","title":"AbsintheQueryAll.Utils.Atom.lower_camelize/1","doc":"","ref":"AbsintheQueryAll.Utils.Atom.html#lower_camelize/1"},{"type":"module","title":"AbsintheQueryAll.Utils.MapList","doc":"","ref":"AbsintheQueryAll.Utils.MapList.html"},{"type":"function","title":"AbsintheQueryAll.Utils.MapList.get_by_name/2","doc":"","ref":"AbsintheQueryAll.Utils.MapList.html#get_by_name/2"},{"type":"module","title":"AbsintheQueryAll.Utils.Maybe","doc":"A \"maybe\" is a value that can be either some value or nil. Essentially this:\n\n    any() | nil\n\nThe concept is borrowed from Elm:\nhttps://package.elm-lang.org/packages/elm/core/latest/Maybe\n\nThis module is for chaining or otherwise manipulating\nmaybe values.","ref":"AbsintheQueryAll.Utils.Maybe.html"},{"type":"function","title":"AbsintheQueryAll.Utils.Maybe.map/2","doc":"","ref":"AbsintheQueryAll.Utils.Maybe.html#map/2"},{"type":"function","title":"AbsintheQueryAll.Utils.Maybe.with_default/2","doc":"","ref":"AbsintheQueryAll.Utils.Maybe.html#with_default/2"},{"type":"module","title":"AbsintheQueryAll.Utils.String","doc":"","ref":"AbsintheQueryAll.Utils.String.html"},{"type":"function","title":"AbsintheQueryAll.Utils.String.camelize/1","doc":"","ref":"AbsintheQueryAll.Utils.String.html#camelize/1"},{"type":"function","title":"AbsintheQueryAll.Utils.String.decapitalize/1","doc":"","ref":"AbsintheQueryAll.Utils.String.html#decapitalize/1"},{"type":"function","title":"AbsintheQueryAll.Utils.String.lower_camelize/1","doc":"","ref":"AbsintheQueryAll.Utils.String.html#lower_camelize/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}